Authentication
Create Device Code
Creates a code that logs this device in once a logged-in user approves it with approveDeviceAuth. checkDeviceCode returns the user and sets the auth cookie once it is approved.
Authorization
authCookie auth<token>
Auth Token via Cookie
In: cookie
Response Body
application/json
curl -X POST "https://api.vrchat.cloud/api/1/auth/device/code"{
"deviceCode": "dc_gTCSGMaSlmuq5Yr7smfMVJrn3Ugp2seK",
"expiresIn": 300,
"interval": 5,
"userCode": "U4RQANX4",
"verificationUrl": "https://vrchat.com/home/device",
"verificationUrlComplete": "https://vrchat.com/home/device?code=U4RQANX4&source=app"
}